Bug 1149201 - default MANPATH does not include /usr/local/share/man
default MANPATH does not include /usr/local/share/man
Status: RESOLVED WONTFIX
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-03 12:56 UTC by Ave Milia
Modified: 2019-09-05 05:33 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ave Milia 2019-09-03 12:56:06 UTC
The default MANPATH (with zsh and zsh-grml-config[0]) seems to be:

  /usr/local/man:/usr/share/man

which does not include /usr/local/share/bin. Of course, it is simple to set it, but since /usr/share/man is present (the share/man part), and having /usr/local/man suggests default MANPATH supports /usr/local/* paths, it would make sense to include /usr/local/share/bin as well.

[0]: <https://grml.org/zsh/#grmlzshconfig>
Comment 1 Ave Milia 2019-09-03 12:57:29 UTC
Err, obviously I mean /usr/local/share/man, not /usr/local/share/bin
Comment 2 Thorsten Kukuk 2019-09-04 06:51:04 UTC
There is no /usr/local/share/man, as the FHS standard says it's /usr/local/man.
Comment 3 Alynx Zhou 2019-09-05 05:33:14 UTC
Marked as WONTFIX